The pango Class Reference
Prev |  | Next

## The pango Class Reference

Table of Contents

pango.Attribute - an attribute that applies to a section of text
pango.AttrIterator - an object pointing to a location in a pango.AttrList.
pango.AttrList - an object holding attributes that apply to a section of text
pango.Color - an object representing a RGB color
pango.Context - stores global information used to control rendering.
pango.Font - a rendering-system independent font representation.
pango.FontDescription - an object representing a description of a font.
pango.FontFace - an object representing a group of fonts varying only in size.
pango.FontFamily - an object representing a family of related font faces.
pango.FontMap - an object that represents the set of fonts available for a particular rendering system.
pango.FontMetrics - an object containing overall metric information for a font.
pango.Fontset - an object containing a set of pango.Font objects.
pango.FontsetSimple - a simple container for a set of fonts
pango.GlyphString - an object holding strings of glyphs and glyph information.
pango.Language - an object that represents a language tag.
pango.Layout - an object representing a paragraph of text with attributes.
pango.LayoutIter - an object used to iterate over the visual extents of a pango.Layout (new in PyGTK 2.6)
pango.LayoutLine - a line in a pango.Layout (new in PyGTK 2.8)
pango.Renderer - a base class for pango rendering (new in PyGTK 2.8)
pango.TabArray - an object containing an array of tab stops.
The Pango Markup Language - a simple markup language for encoding attributes with text.
pango Functions - a list of all the pango functions
pango Constants - the built-in constants of the pango module

Prev |  | Next
gtk.glade.XML | Home | pango.Attribute